<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate
// phpcs:disable Magento2.Files.LineLength.MaxExceeded

/** @var $block \Magento\Checkout\Block\Cart\Item\Renderer */

$_item = $block->getItem();
$product = $_item->getProduct();
$isVisibleProduct = $product->isVisibleInSiteVisibility();
/** @var \Magento\Msrp\Helper\Data $helper */
$helper = $this->helper(Magento\Msrp\Helper\Data::class);
$canApplyMsrp = $helper->isShowBeforeOrderConfirm($product) && $helper->isMinimalPriceLessMsrp($product);
?>
<tbody class="cart item">
    <tr class="item-info">
        <td data-th="<?= $block->escapeHtml(__('Item')) ?>" class="col item">
          <strong class="product-item-name visible-xs">
              <?php if ($block->hasProductUrl()) :?>
                  <a href="<?= $block->escapeUrl($block->getProductUrl()) ?>"><?= $block->escapeHtml($block->getProductName()) ?></a>
              <?php else :?>
                  <?= $block->escapeHtml($block->getProductName()) ?>
              <?php endif; ?>
          </strong>
            <?php if ($block->hasProductUrl()) :?>
                <a href="<?= $block->escapeUrl($block->getProductUrl()) ?>"
                   title="<?= $block->escapeHtml($block->getProductName()) ?>"
                   tabindex="-1"
                   class="product-item-photo">
            <?php else :?>
                <span class="product-item-photo">
            <?php endif;?>
            <?= $block->getImage($block->getProductForThumbnail(), 'cart_page_product_thumbnail')->toHtml() ?>
            <?php if ($block->hasProductUrl()) :?>
                </a>
            <?php else :?>
                </span>
            <?php endif; ?>
            <div class="product-item-details">
                <strong class="product-item-name hidden-xs">
                    <?php if ($block->hasProductUrl()) :?>
                        <a href="<?= $block->escapeUrl($block->getProductUrl()) ?>"><?= $block->escapeHtml($block->getProductName()) ?></a>
                    <?php else :?>
                        <?= $block->escapeHtml($block->getProductName()) ?>
                    <?php endif; ?>
                </strong>
                <?php if ($_options = $block->getOptionList()) :?>
                    <dl class="item-options">
                        <?php foreach ($_options as $_option) :?>
                            <?php $_formatedOptionValue = $block->getFormatedOptionValue($_option) ?>
                            <dt><?= $block->escapeHtml($_option['label']) ?></dt>
                            <dd>
                                <?php if (isset($_formatedOptionValue['full_view'])) :?>
                                    <?= $block->escapeHtml($_formatedOptionValue['full_view']) ?>
                                <?php else :?>
                                    <?= $block->escapeHtml($_formatedOptionValue['value'], ['span', 'a']) ?>
                                <?php endif; ?>
                            </dd>
                        <?php endforeach; ?>
                        <dt class="visible-xs"><?= $block->escapeHtml(__('Price')) ?></dt>
                        <dd class="visible-xs"><?= $block->getUnitPriceHtml($_item) ?></dd>
                    </dl>
                <?php endif;?>




                <?php if ($messages = $block->getMessages()) :?>
                    <?php foreach ($messages as $message) :?>
                        <div class= "cart item message <?= $block->escapeHtmlAttr($message['type']) ?>">
                            <div><?= $block->escapeHtml($message['text']) ?></div>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
                <?php $addInfoBlock = $block->getProductAdditionalInformationBlock(); ?>
                <?php if ($addInfoBlock) :?>
                    <?= $addInfoBlock->setItem($_item)->toHtml() ?>
                <?php endif;?>

                <div class="actions-toolbar info-tool">
                    <div class="row part-details">
                      <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                        <h6>Part No:</h6>
                      </div>
                      <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                        <p><?php echo $product->getSku(); ?></p>
                      </div>
                    </div>
                    <div class="row part-details">
                      <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                        <h6>Barcode:</h6>
                      </div>
                      <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                        <p><?php echo $product->getBarcodeEan(); ?></p>
                      </div>
                    </div>
                    <?php if($product->getAttributeText('length')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Length:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('length'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if($product->getAttributeText('packaging_3')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Packaging:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('packaging_3'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if($product->getAttributeText('packaging_4')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Packaging:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('packaging_4'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if($product->getAttributeText('metallic_colour')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Product Colour:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('metallic_colour'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if($product->getAttributeText('length_1')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Length:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('length_1'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if($product->getAttributeText('color')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Color:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('color'); ?></p>
                          </div>
                        </div>
                    <?php } ?>

                    <?php if($product->getAttributeText('colour')) {?>
                        <div class="row part-details">
                          <div class="col-xs-4 col-md-5 col-lg-3 part-details-prop">
                            <h6>Colour:</h6>
                          </div>
                          <div class="col-xs-8 col-md-7 col-lg-9 part-details-val">
                            <p><?php echo $product->getAttributeText('colour'); ?></p>
                          </div>
                        </div>
                    <?php } ?>
                </div>

                <div class="actions-toolbar action-edit">
                    <?= /* @noEscape */ $block->getActions($_item) ?>
                </div>
            </div>

        </td>
        <td class="col qty" data-th="<?= $block->escapeHtml(__('Qty')) ?>">
            <div class="cart-cont-item cci-qty" data-th="<?php echo $block->escapeHtml(__('Qty')); ?>">
                <div class="field qty">

                    <div class="control qty custom-qty clearfix ">
                        <label class="label" for="cart-<?php /* @escapeNotVerified */ echo $_item->getId() ?>-qty">
                            <span><?php /* @escapeNotVerified */ echo __('Qty') ?></span>
                        </label>
                        <div class="qty_control">
                            <a class="alo_qty alo_qty_dec ajax-cart-qty-minus decreaseQty" href="javascript:void(0)">-</a>
                            <input id="cart-<?php /* @escapeNotVerified */ echo $_item->getId() ?>-qty"
                                   name="cart[<?php /* @escapeNotVerified */ echo $_item->getId() ?>][qty]"
                                   data-cart-item-id="<?php /* @escapeNotVerified */ echo $_item->getSku() ?>"
                                   value="<?php /* @escapeNotVerified */ echo $block->getQty() ?>"
                                   type="number"
                                   size="4"
                                   title="<?php echo $block->escapeHtml(__('Qty')); ?>"
                                   class="input-text qty"
                                   maxlength="12"
                                   data-validate="{required:true,'validate-greater-than-zero':true}"
                                   data-role="cart-item-qty"/>
                            <a class="alo_qty alo_qty_inc ajax-cart-qty-plus increaseQty" href="javascript:void(0)">+</a>
                        </div>
                    </div>
                </div>
            </div>
        </td>
        <?php if ($canApplyMsrp) :?>
            <td class="col msrp" data-th="<?= $block->escapeHtml(__('Price')) ?>">
                <span class="pricing msrp">
                    <span class="msrp notice"><?= $block->escapeHtml(__('See price before order confirmation.')) ?></span>
                    <?php $helpLinkId = 'cart-msrp-help-' . $_item->getId(); ?>
                    <a href="#" class="action help map"
                       id="<?= ($block->escapeHtmlAttr($helpLinkId)) ?>"
                       data-mage-init='{"addToCart":{
                                            "helpLinkId": "#<?= $block->escapeJs($block->escapeHtml($helpLinkId)) ?>",
                                            "productName": "<?= $block->escapeJs($block->escapeHtml($product->getName())) ?>",
                                            "showAddToCart": false
                                            }
                                        }'
                    >
                        <span><?= $block->escapeHtml(__("What's this?")) ?></span>
                    </a>
                </span>
            </td>



      <?php else :?>
          <td class="col price hidden-xs" data-th="<?= $block->escapeHtml(__('Price')) ?>">
              <?= $block->getUnitPriceHtml($_item) ?>
          </td>
      <?php endif; ?>

        <!-- <td class="col subtotal" data-th="<?= $block->escapeHtml(__('Subtotal')) ?>">
            <?php if ($canApplyMsrp) :?>
                <span class="cart msrp subtotal">--</span>
            <?php else :?>
                <?= $block->getRowTotalHtml($_item) ?>
            <?php endif; ?>
        </td> -->
    </tr>
    <tr class="item-actions hide">
        <td colspan="4">
            <div class="actions-toolbar">
                <?= /* @noEscape */ $block->getActions($_item) ?>
            </div>
        </td>
    </tr>
</tbody>
<script type="text/javascript">
    require(['jquery', 'AjaxCart'], function ($) {
    });
</script>
